<?php

namespace Fitsmart\ParcelPanel;

class Logger
{
    public function log($mixture): void
    {
        $upload_dir = wp_upload_dir();
        $log_message = '[' . date('Y-m-d H:i:s') . '] ' . print_r($mixture, true) . PHP_EOL;
        $log_file = $upload_dir['basedir'] . '/parcelpanel.log';
        file_put_contents($log_file, $log_message, FILE_APPEND);
    }
}